Package net.sourceforge.jiu.data

# Interface RGB48Image

All Superinterfaces:
  `IntegerImage`, `PixelImage`, `RGBImage`, `RGBIndex`, `RGBIntegerImage`, `ShortChannelImage`

All Known Implementing Classes:
  `MemoryRGB48Image`

public interface RGB48Image extends ShortChannelImage, RGBIntegerImage
An empty interface for RGB truecolor images with integer samples that are each sixteen bits large (thus, 48 bits per pixel).

Since:
  0.12.0
Author:
  Marco Schmidt

## Field Summary

### Fields inherited from interface net.sourceforge.jiu.data.RGBIndex

`INDEX_BLUE, INDEX_GREEN, INDEX_RED`

## Method Summary

### Methods inherited from interface net.sourceforge.jiu.data.IntegerImage

`clear, clear, getMaxSample, getSample, getSample, getSamples, putSample, putSample, putSamples`

### Methods inherited from interface net.sourceforge.jiu.data.PixelImage

`createCompatibleImage, createCopy, getAllocatedMemory, getBitsPerPixel, getHeight, getImageType, getNumChannels, getWidth`

### Methods inherited from interface net.sourceforge.jiu.data.ShortChannelImage

`clear, clear, getShortSample, getShortSample, getShortSamples, putShortSample, putShortSample, putShortSamples`